Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 15 Dec 2021 07:04:29 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? i made return request on the 5 of this month and until today 14 Dec. no one even call me and i call your call center 2 times and nothing happened  this is from a side and from other side i purchase one item ( Shirt) and i received a different item. 
And sorry to tell you now if any one asking me about my experience with land mark i am telling them do not even try it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3602841